Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Every endpoint, with a playground
curl --request POST \ --url 'https://api.sandbox.stateset.app/api/v1/secrets' \ --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \ --header 'Content-Type: application/json' \ --data '{ "name": "Two-Person Tent", "value": "49.00", "scope": "sandbox", "allowed_sandbox_patterns": [ "string" ], "expires_in_days": 1 }'
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Two-Person Tent", "scope": "string", "allowed_sandbox_patterns": [ "string" ], "expires_at": "2026-08-31T14:22:05Z", "created_at": "2026-08-31T14:22:05Z", "updated_at": "2026-08-31T14:22:05Z" }
Secret created (the value is never returned)
CreateSecretRequest
object
201
400